"use strict";
exports.__esModule = true;
exports.useMutableRef = void 0;
var react_1 = require("react");
var useMutableRef = function (value) {
    var ref = (0, react_1.useRef)(value);
    (0, react_1.useEffect)(function () {
        ref.current = value;
    }, [value]);
    return ref;
};
exports.useMutableRef = useMutableRef;
